Bug 1363871 - <needs-packaging> GNU Mailman 3 released
Summary: <needs-packaging> GNU Mailman 3 released
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mailman
Version: rawhide
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1612092
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 18:41 UTC by kxra
Modified: 2021-05-11 11:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-11 11:06:46 UTC
Type: Bug


Attachments (Terms of Use)

Description kxra 2016-08-03 18:41:46 UTC
Description of problem:

Mailman 3 is really a suite of 5 tools:

 * The core, which provides the mail delivery engine, the unified user
model, moderation and modification of email messages, and interfaces to
external archivers;

 * Postorius, our new Django-based web user interface for users and list
   administrators;

 * HyperKitty, our new Django-based web archiver, providing rich access
to the historical record of mailing list traffic;

 * mailman.client, the official Python bindings to the core's REST API;

 * mailman-bundler, a set of scripts to make it easy to deploy the full
   suite inside Python virtual environments.

What's new about Mailman 3?  Well, lots!  Some highlights include:

 * Backed by a relational database;

 * True support for multiple domains, with no cross-domain mailing list
naming restrictions;

 * One user account to manage all your subscriptions on a site;

 * The core's functionality exposed through an administrative REST+JSON
API;

 * All passwords hashed by default, and no monthly password reminders!

 * Users can post to lists via the web interface;

 * Built-in archive searching!

and more.  Tons more.
URL: https://www.gnu.org/software/mailman/

Comment 1 Aurelien Bompard 2016-08-04 07:23:02 UTC
I've been working on Mailman3 for a while now, and I have packaged it (and all its dependencies), and I intend on getting it into Fedora. The thing is, there's a loooot of new dependencies that need to be in there too. I haven't tried to push them at the moment because the dependencies have been changing a lot until recently (they still are a bit, but it's low enough now).

I intend to work with Jan on that (we haven't talked about this in a while ;-) )

FYI I have a Mailman3 / Postorius / HyperKitty repo here: https://repos.fedorapeople.org/abompard/hyperkitty/
It's for EPEL7, but it should rebuild properly on Fedora (it's even easier because more deps are included).

I've started checking which deps are into Fedora and on which version, so I can request reviews or updates on them. That's where I am today.

Comment 2 kxra 2017-05-31 01:07:23 UTC
Hi, has there been progress on packages being accepted into the main repos?

Comment 3 Aurelien Bompard 2017-05-31 06:57:03 UTC
Yes, there's progress, but there are still some dependencies being packaged and reviewed. If you want to help, please check out https://lstu.fr/abompard-package-review. Thanks!

Comment 4 Fedora End Of Life 2017-11-16 18:34:25 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:28:12 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Troy Curtis 2017-12-13 04:17:35 UTC
Is the idea here to go to mailman 3.x version and bypass the newer 2.x versions that aren't yet packaged for Fedora? According to the provided link, there don't appear to be any outstanding dep package reviews, so is the mailman3 update happening soon?

Comment 7 Fedora End Of Life 2018-02-20 15:38:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 8 Pavel Zhukov 2018-04-10 07:38:43 UTC
(In reply to Aurelien Bompard from comment #3)
> Yes, there's progress, but there are still some dependencies being packaged
> and reviewed. If you want to help, please check out
> https://lstu.fr/abompard-package-review. Thanks!

Hi Aurelien,

Are you planning to go through formal review of the rest of packages? As I can see Core has all deps packaged in Fedora. As Python3 is deprecated we can use generic name (mailman) and not introduce new package. Are you ok with that?

Comment 9 Ben Cotton 2019-05-02 21:12:21 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Miro Hrončok 2021-05-11 11:06:46 UTC
Automation has figured out the package is retired in rawhide.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement

Comment 11 Miro Hrončok 2021-05-11 11:10:57 UTC
mailman3 is already packaged in: https://src.fedoraproject.org/rpms/mailman3


Note You need to log in before you can comment on or make changes to this bug.